﻿#region License Information

/* HeuristicLab
 * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */

#endregion
using System;
using System.Drawing;
using System.Windows.Forms;
using HeuristicLab.Core.Views;

namespace HeuristicLab.Problems.DataAnalysis.Views {
  partial class ShapeConstraintsView {
    /// <summary> 
    /// Required designer variable.
    /// </summary>
    private System.ComponentModel.IContainer components = null;

    /// <summary> 
    /// Clean up any resources being used.
    /// </summary>
    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
    protected override void Dispose(bool disposing) {
      if (disposing && (components != null)) {
        components.Dispose();
      }
      base.Dispose(disposing);
    }

    #region Component Designer generated code

    /// <summary> 
    /// Required method for Designer support - do not modify 
    /// the contents of this method with the code editor.
    /// </summary>
    private void InitializeComponent() {
            this.components = new System.ComponentModel.Container();
            this.splitContainer1 = new System.Windows.Forms.SplitContainer();
            this.groupBox1 = new System.Windows.Forms.GroupBox();
            this.constraintsInput = new System.Windows.Forms.TextBox();
            this.parseBtn = new System.Windows.Forms.Button();
            this.label1 = new System.Windows.Forms.Label();
            this.errorOutput = new System.Windows.Forms.Label();
            this.intervalConstraintsView = new HeuristicLab.Core.Views.CheckedItemListView<ShapeConstraint>();
            this.toolTip1 = new System.Windows.Forms.ToolTip(this.components);
            ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).BeginInit();
            this.splitContainer1.Panel1.SuspendLayout();
            this.splitContainer1.Panel2.SuspendLayout();
            this.splitContainer1.SuspendLayout();
            this.groupBox1.SuspendLayout();
            this.SuspendLayout();
            // 
            // splitContainer1
            // 
            this.splitContainer1.Dock = System.Windows.Forms.DockStyle.Fill;
            this.splitContainer1.Location = new System.Drawing.Point(0, 0);
            this.splitContainer1.Name = "splitContainer1";
            // 
            // splitContainer1.Panel1
            // 
            this.splitContainer1.Panel1.Controls.Add(this.groupBox1);
            // 
            // splitContainer1.Panel2
            // 
            this.splitContainer1.Panel2.Controls.Add(this.intervalConstraintsView);
            this.splitContainer1.Size = new System.Drawing.Size(888, 629);
            this.splitContainer1.SplitterDistance = 296;
            this.splitContainer1.TabIndex = 0;
            // 
            // groupBox1
            // 
            this.groupBox1.Controls.Add(this.constraintsInput);
            this.groupBox1.Controls.Add(this.parseBtn);
            this.groupBox1.Controls.Add(this.label1);
            this.groupBox1.Controls.Add(this.errorOutput);
            this.groupBox1.Dock = System.Windows.Forms.DockStyle.Fill;
            this.groupBox1.Location = new System.Drawing.Point(0, 0);
            this.groupBox1.Name = "groupBox1";
            this.groupBox1.Size = new System.Drawing.Size(296, 629);
            this.groupBox1.TabIndex = 3;
            this.groupBox1.TabStop = false;
            this.groupBox1.Text = "Constraints Input";
            // 
            // constraintsInput
            // 
            this.constraintsInput.AcceptsTab = true;
            this.constraintsInput.Dock = System.Windows.Forms.DockStyle.Fill;
            this.constraintsInput.Location = new System.Drawing.Point(3, 29);
            this.constraintsInput.Multiline = true;
            this.constraintsInput.Name = "constraintsInput";
            this.constraintsInput.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
            this.constraintsInput.Size = new System.Drawing.Size(290, 561);
            this.constraintsInput.TabIndex = 2;
            this.constraintsInput.TextChanged += new System.EventHandler(this.constraintsInput_TextChanged);
            // 
            // parseBtn
            // 
            this.parseBtn.Dock = System.Windows.Forms.DockStyle.Bottom;
            this.parseBtn.Location = new System.Drawing.Point(3, 590);
            this.parseBtn.Name = "parseBtn";
            this.parseBtn.Size = new System.Drawing.Size(290, 23);
            this.parseBtn.TabIndex = 1;
            this.parseBtn.Text = "Parse Constraints";
            this.parseBtn.UseVisualStyleBackColor = true;
            this.parseBtn.Click += new System.EventHandler(this.parseBtn_Click);
            // 
            // label1
            // 
            this.label1.AutoSize = true;
            this.label1.Dock = System.Windows.Forms.DockStyle.Top;
            this.label1.Image = global::HeuristicLab.Problems.DataAnalysis.Views.Properties.Resources.VS2008ImageLibrary_Annotations_Information;
            this.label1.Location = new System.Drawing.Point(3, 16);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(19, 13);
            this.label1.TabIndex = 4;
            this.label1.Text = "    ";
            this.toolTip1.SetToolTip(this.label1, "Double-click to open description.");
            this.label1.DoubleClick += new System.EventHandler(this.label1_DoubleClick);
            // 
            // errorOutput
            // 
            this.errorOutput.AutoSize = true;
            this.errorOutput.Dock = System.Windows.Forms.DockStyle.Bottom;
            this.errorOutput.ForeColor = System.Drawing.Color.DarkRed;
            this.errorOutput.Location = new System.Drawing.Point(3, 613);
            this.errorOutput.MaximumSize = new System.Drawing.Size(350, 0);
            this.errorOutput.Name = "errorOutput";
            this.errorOutput.Size = new System.Drawing.Size(35, 13);
            this.errorOutput.TabIndex = 3;
            this.errorOutput.Text = "label2";
            // 
            // intervalConstraintsView
            // 
            this.intervalConstraintsView.Dock = System.Windows.Forms.DockStyle.Fill;
            this.intervalConstraintsView.Location = new System.Drawing.Point(0, 0);
            this.intervalConstraintsView.Name = "intervalConstraintsView";
            this.intervalConstraintsView.Size = new System.Drawing.Size(588, 629);
            this.intervalConstraintsView.TabIndex = 2;
            this.intervalConstraintsView.TabStop = false;
            // 
            // ShapeConstraintsView
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.Controls.Add(this.splitContainer1);
            this.Name = "ShapeConstraintsView";
            this.Size = new System.Drawing.Size(888, 629);
            this.splitContainer1.Panel1.ResumeLayout(false);
            this.splitContainer1.Panel2.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).EndInit();
            this.splitContainer1.ResumeLayout(false);
            this.groupBox1.ResumeLayout(false);
            this.groupBox1.PerformLayout();
            this.ResumeLayout(false);

    }
    #endregion

    private System.Windows.Forms.SplitContainer splitContainer1;
    private System.Windows.Forms.GroupBox groupBox1;
    private System.Windows.Forms.Button parseBtn;
    private HeuristicLab.Core.Views.CheckedItemListView<ShapeConstraint> intervalConstraintsView;
    //private System.Windows.Forms.GroupBox intervalConstraintsView;
    private System.Windows.Forms.TextBox constraintsInput;
    private Label errorOutput;
    private Label label1;
    protected ToolTip toolTip1;
    }
}
